/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package biblioteka;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import javax.swing.JTable;

/**
 *
 * @author sadamovic
 */
public class Polica {
    private List <Knjiga> poloica;
    private String nazivPolice;

    public Polica(String nazivPolice) {
        this.poloica = new ArrayList<>();
        this.nazivPolice = nazivPolice;
    }
    
    public void dodajKnjigu(Knjiga A){
        this.poloica.add(A);        
    }
    
    public void izbrisiKnjigu(String nazivKnjige){
        Iterator <Knjiga>it = this.poloica.iterator();
        Knjiga temp=null;
        while(it.hasNext()){
            temp = it.next();
            if(temp.getNazivknjige().equals(nazivKnjige)){
                it.remove();
                break;
            }
        }
    }
    
    public void promeniPodatkeKnjiga(String nazivKnjige, String noviAutor){
        Iterator <Knjiga>it = this.poloica.iterator();
        Knjiga temp=null;
        Knjiga noviZapis;
        while(it.hasNext()){
            temp = it.next();
            if(temp.getNazivknjige().equals(nazivKnjige)){
                noviZapis = new Knjiga(temp.getNazivknjige(), noviAutor, temp.getBrojStrana(), temp.getGodinaIzdanja());
                it.remove();
                this.poloica.add(noviZapis);
                break;
            }
        }
    }
    
    public Object[][] prikaziKnjige(){
       
        Object podaci[][] = new Object[this.poloica.size()][4];
        
        Iterator <Knjiga>it = this.poloica.iterator();        
        
        int brojac = 0;
        while(it.hasNext()){
            Object temp2[] = new Object[4];
            Knjiga temp = it.next();
            temp2[0]= temp.getNazivknjige();
            temp2[1]= temp.getAutor();
            temp2[2]= temp.getBrojStrana();
            temp2[3]= temp.getGodinaIzdanja();
            podaci[brojac] = temp2;
            brojac++;            
        }
              
        return podaci;
        
    }
    
    
}
